<?php

add_action('init','of_options');

if (!function_exists('of_options')) {
function of_options(){

//Access the WordPress Categories via an Array
$of_categories = array();
$of_categories_obj = get_categories('hide_empty=0');
foreach ($of_categories_obj as $of_cat) {
    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
$categories_tmp = array_unshift($of_categories, "Select a category:");

//Access the WordPress Pages via an Array
$of_pages = array();
$of_pages_obj = get_pages('sort_column=post_parent,menu_order');
foreach ($of_pages_obj as $of_page) {
    $of_pages[$of_page->ID] = $of_page->post_name; }
$of_pages_tmp = array_unshift($of_pages, "Select a page:");

//Testing
/*$my_options_select = array("one","two","three","four","five");
$my_options_radio = array("slider1.php" => "Standard","slider2.php" => "Product","slider3.php" => "Carousel"); */

$my_options_select = array("one");
$my_options_radio = array("featured_content.php" => "FeaturedContent");



//Stylesheets Reader
$alt_stylesheet_path = STYLES;
$alt_stylesheets = array();

if ( is_dir($alt_stylesheet_path) ) {
    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) {
        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
            if(stristr($alt_stylesheet_file, ".css") !== false) {
                $alt_stylesheets[] = $alt_stylesheet_file;
            }
        }
    }
}

// Theme directory
$theme_directory = get_template_directory_uri();
$header_images_directory = $theme_directory.'/admin/images/header/';

/*-----------------------------------------------------------------------------------*/
/* TO DO: Add options/functions that use these */
/*-----------------------------------------------------------------------------------*/

//More Options
$uploads_arr = wp_upload_dir();
$all_uploads_path = $uploads_arr['path'];
$all_uploads = get_option('of_uploads');
$other_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
$body_repeat = array("no-repeat","repeat-x","repeat-y","repeat");
$body_pos = array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");

// Image Alignment radio box
$my_options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center");

// Image Links to Options
$my_options_image_link_to = array("image" => "The Image","post" => "The Post");

//$my_options_skin = array("default" => "Default","black" => "Black","blue" => "Blue","gray" => "Gray","limegreen" => "Lime Green","orange" => "Orange", "pink" => "Pink", "purple" => "Purple", "rasberry" => "Rasberry", "turquoise" => "Turquoise");

$my_options_skin = array(
						"default" => "Default",
						"red" => "Red",
						"green" => "Green",
						"yellow" => "Yellow",
						"orange" => "Orange",
						"black" => "Black",
						"grey" => "Grey"
						);


/*-----------------------------------------------------------------------------------*/
/* The Options Array */
/*-----------------------------------------------------------------------------------*/

// Set the Options Array
global $my_options;
$my_options = array();

$url =  ADMIN . 'images/';

$my_options[] = array( "name" => "General Settings",
                    "type" => "heading");
$my_options[] = array( "name" => "Main Layout",
					"desc" => "Select main content and sidebar alignment.",
					"id" => "layout",
					"std" => "2c-l-fixed.css",
					"type" => "images",
					"options" => array(
						'2c-r-fixed.css' => $url . '2cr.png',
						'2c-l-fixed.css' => $url . '2cl.png')
					);


				/*$my_options[] = array( "name" => "Menu Location",
									"desc" => "the menu which by default is displayed at the very top",
									"id" => "menu_location",
									"type" => "select2",
									"options" => array('top', 'bottom')
									);*/

				$my_options[] = array( "name" => "Sort Products By",
									"desc" => "products listing order",
									"id" => "sort_by",
									"type" => "select2",
									"options" => array('Date', 'Lower numbers on top', 'Higher numbers on top')
									);


$my_options[] = array( "name" => "Custom Favicon",
					"desc" => "Upload a 16px x 16px Png/Gif image that will represent your website's favicon.",
					"id" => "custom_favicon",
					"std" => "",
					"type" => "upload");

$my_options[] = array( "name" => "Tracking Code",
					"desc" => "Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.",
					"id" => "google_analytics",
					"std" => "",
					"type" => "textarea");


$my_options[] = array( "name" => "Footer Text",
                    "desc" => "You can use the following shortcodes in your footer text: [wp-link] [theme-link] [loginout-link] [blog-title] [blog-link] [the-year]",
                    "id" => "footer_text",
                    "std" => "&copy; 2015 WP Click Store DEVELOPER Theme. All Rights Reserved.",
                    "type" => "textarea");

$my_options[] = array( "name" => "Header Settings",
                    "type" => "heading");


$my_options[] = array( "name" => "Custom Header",
					"desc" => "Upload a header for your theme (1040px wide). You need to remove custom header, if you want to use a default one.",
					"id" => "logo",
					"std" => "",
					"type" => "upload");

$my_options[] = array( "name" => "Custom Header Text",
					"desc" => "Insert your company name or any other text if you want it to show up at the header.",
					"id" => "header_custom_text",
					"std" => "",
					"type" => "text");

$my_options[] = array( "name" => "Custom Header Font",
					"desc" => "Specify the custom header font properties.",
					"id" => "header_custom_font",
					"std" => array('size' => '40px','face' => 'times','style' => 'normal','color' => '#FFFFFF'),
					"type" => "typography");

$my_options[] = array( 'name' => 'Vertical Margin',
					'desc' => 'Set margin from the top in % or pixels.',
					'id' => 'header_custom_top_margin',
					'std' => '2%',
					'class' => 'mini',
					'type' => 'text');

$my_options[] = array( 'name' => 'Horizontal Margin',
					'desc' => 'Set margin from the left in % or pixels.',
					'id' => 'header_custom_left_margin',
					'std' => '30%',
					'class' => 'mini',
					'type' => 'text');

$my_options[] = array( 'name' => 'Custom Header Horizontal Shadow',
					'desc' => 'Set horizontal shadow in pixels (negative values are accepted too, for example: -2).',
					'id' => 'header_custom_shadow_x',
					'std' => '0',
					'class' => 'mini',
					'type' => 'text');

$my_options[] = array( 'name' => 'Custom Header Vertical Shadow',
					'desc' => 'Set vertical shadow in pixels (negative values are accepted too, for example: -2).',
					'id' => 'header_custom_shadow_y',
					'std' => '0',
					'class' => 'mini',
					'type' => 'text');

$my_options[] = array( 'name' => 'Custom Header Shadow Radius',
					'desc' => 'Set shadow radius in pixels (negative values are NOT accepted, for example: 2).',
					'id' => 'header_custom_shadow_radius',
					'std' => '0',
					'class' => 'mini',
					'type' => 'text');

$my_options[] = array( 'name' => 'Custom Header Shadow Color',
					'desc' => 'Set shadow color.',
					'id' => 'header_custom_shadow_color',
					'std' => '#CCCCCC',
					'type' => 'color');
/*
$my_options[] = array( 'name' => 'Custom Header Outline Width',
					'desc' => 'Set border (outline) width of the outline in pixels (negative values are NOT accepted).',
					'id' => 'header_outline_width',
					'std' => '0',
					'class' => 'mini',
					'type' => 'text');

$outline_array = array( 'none' => 'No outline',
						'dotted' => 'Dots',
						'dashed' => 'Dashes',
						'solid' => 'Solid',
						'double' => 'Double solid',
						'groove' => 'Groove',
						'ridge' => 'Ridge',
						'inset' => 'Inset',
						'outset' => 'Outset'
						);

$my_options[] = array( 'name' => 'Custom Header Outline Style',
					'desc' => 'Select style of the outline.',
					'id' => 'header_outline_style',
					'std' => 'none',
					'class' => 'mini',
					'type' => 'select',
					'class' => 'tiny', //mini, tiny, small
					'options' => $outline_array);



$my_options[] = array( 'name' => 'Custom Header Outline Padding',
					'desc' => 'Set padding of the outline from the text in % or pixels (negative values are accepted, but not recommended).',
					'id' => 'header_outline_padding',
					'std' => '0',
					'class' => 'mini',
					'type' => 'text');

$my_options[] = array( 'name' => 'Custom Header Outline Color',
					'desc' => 'Set color of header outline.',
					'id' => 'header_outline_color',
					'std' => 'transparent',
					'type' => 'color');
*/
$image_array = array(
		'header1black' => $header_images_directory.'header1black.jpg',
		'header1blue' => $header_images_directory.'header1blue.jpg',
		'header1blue2' => $header_images_directory.'header1blue2.jpg',
		'header1blue3' => $header_images_directory.'header1blue3.jpg',
		'header1green' => $header_images_directory.'header1green.jpg',
		'header1orange' => $header_images_directory.'header1orange.jpg',
		'header1red' => $header_images_directory.'header1red.jpg',
		'header1white' => $header_images_directory.'header1white.jpg',
		'header1yellow' => $header_images_directory.'header1yellow.jpg',

		'header3black' => $header_images_directory.'header3black.jpg',
		'header3blue' => $header_images_directory.'header3blue.jpg',
		'header3blue2' => $header_images_directory.'header3blue2.jpg',
		'header3blue3' => $header_images_directory.'header3blue3.jpg',
		'header3green' => $header_images_directory.'header3green.jpg',
		'header3orange' => $header_images_directory.'header3orange.jpg',
		'header3red' => $header_images_directory.'header3red.jpg',
		'header3white' => $header_images_directory.'header3white.jpg',
		'header3yellow' => $header_images_directory.'header3yellow.jpg',

		'header5black' => $header_images_directory.'header5black.jpg',
		'header5blue' => $header_images_directory.'header5blue.jpg',
		'header5blue2' => $header_images_directory.'header5blue2.jpg',
		'header5blue3' => $header_images_directory.'header5blue3.jpg',
		'header5green' => $header_images_directory.'header5green.jpg',
		'header5orange' => $header_images_directory.'header5orange.jpg',
		'header5red' => $header_images_directory.'header5red.jpg',
		'header5white' => $header_images_directory.'header5white.jpg',
		'header5yellow' => $header_images_directory.'header5yellow.jpg',

		'header8black' => $header_images_directory.'header8black.jpg',
		'header8blue' => $header_images_directory.'header8blue.jpg',
		'header8blue2' => $header_images_directory.'header8blue2.jpg',
		'header8blue3' => $header_images_directory.'header8blue3.jpg',
		'header8green' => $header_images_directory.'header8green.jpg',
		'header8orange' => $header_images_directory.'header8orange.jpg',
		'header8red' => $header_images_directory.'header8red.jpg',
		'header8white' => $header_images_directory.'header8white.jpg',
		'header8yellow' => $header_images_directory.'header8yellow.jpg',
	);

$my_options[] = array( "name" => "Default Header Image",
					"desc" => "Choose one of the default images below if you do not want to use your own header.",
					"id" => "logo_default",
					"std" => "header1black",
					"type" => "images",
					"options" => $image_array);

$my_options[] = array( "name" => "ClickBank Settings",
                    "type" => "heading");

$my_options[] = array( "name" => "ClickBank Affiliate ID",
					"desc" => "Don't have a Clickbank ID yet? Get one here FREE: <a href=\"http://clickbank.com\" target=\"_blank\" >Clickbank</a>",
					"id" => "clickbank_id",
					"std" => "",
					"type" => "text");

$my_options[] = array( "name" => "ClickBank Affiliate Password",
					"desc" => "",
					"id" => "clickbank_pass",
					"std" => "",
					"type" => "password");


$my_options[] = array( "name" => "Styling Options",
					"type" => "heading");

$my_options[] = array( "name" => "Select Skin",
					"desc" => "Skin select box.",
					"id" => "review_site_empire-skin",
					"std" => "default",
					"type" => "select2",
					"options" => $my_options_skin);

$my_options[] = array( "name" => "Body Font",
					"desc" => "Specify the body font properties",
					"id" => "body_font",
					"std" => array('size' => '12px','face' => 'times','style' => 'normal','color' => '#222222'),
					"type" => "typography");

$my_options[] = array( "name" => "Headings Font",
					"desc" => "Specify the headings font properties",
					"id" => "headings_font",
					"std" => array('size' => '28px','face' => 'times','style' => 'normal','color' => '#222222'),
					"type" => "typography");

$my_options[] = array( "name" => "Heading Hover Font",
					"desc" => "Specify the headings font properties on cursor hover",
					"id" => "headings_font",
					"std" => array('size' => '28px','face' => 'times','style' => 'normal','color' => '#444444'),
					"type" => "typography");

$my_options[] = array( "name" => "Post Heading Font",
					"desc" => "Specify the post heading font properties",
					"id" => "post_heading_font",
					"std" => array('size' => '12px','face' => 'times','style' => 'normal','color' => '#222222'),
					"type" => "typography");

$my_options[] = array( "name" => "Sidebar/Widget Headings Font",
					"desc" => "Specify the sidebar/widget heading font properties",
					"id" => "sidebar_heading_font",
					"std" => array('size' => '12px','face' => 'times','style' => 'normal','color' => '#222222'),
					"type" => "typography");

$my_options[] = array( "name" => "Background Top Color",
					"desc" => "Specify the Background Top color",
					"id" => "background_top",
					"std" => '#222222',
					"type" => "color");

$my_options[] = array( "name" => "Background Bottom Color",
					"desc" => "Specify the Background Bottom color (same as above if not gradient)",
					"id" => "background_bottom",
					"std" => '#555555',
					"type" => "color");

$my_options[] = array( "name" => "Background Image URL",
					"desc" => "optional (if you want gradient image instead)",
					"id" => "background_img",
					"std" => "",
					"type" => "text");

/*$my_options[] = array( "name" => "Use image slider",
					"desc" => "Checked if use slider.",
					"id" => "review_site_empire-rotator",
					"std" => true,
					"type" => "checkbox");

$my_options[] = array( "name" => "Select Slider",
					"desc" => "Slider select box.",
					"id" => "review_site_empire-slider",
					"std" => "slider1.php",
					"type" => "select2",
					"options" => $my_options_radio);

$my_options[] = array( "name" => "Use product ratings?",
					"desc" => " Check to use product ratings",
					"id" => "review_site_empire-rating",
					"std" => true,
					"type" => "checkbox");

$my_options[] = array( "name" => "Display review chart?",
					"desc" => "Check to display review chart",
					"id" => "review_site_empire-productrating",
					"std" => true,
					"type" => "checkbox"); */

$my_options[] = array( "name" => "Custom CSS",
                    "desc" => "Quickly add some CSS to your theme by adding it to this block.",
                    "id" => "custom_css",
                    "std" => "",
                    "type" => "textarea");

/*$my_options[] = array( "name" => "Standard Slider",
					"type" => "heading");


$my_options[] = array( "name" => "Rotator Image I  (935px x 395px)",
					"desc" => "Upload Image Rotator I",
					"id" => "review_site_empire-rotator-image1",
					"std" => "",
					"type" => "upload");

$my_options[] = array( "name" => "Title for Rotator Image I",
					"desc" => "Enter text for title.",
					"id" => "review_site_empire-more-title1",
					"std" => "",
					"type" => "text");

$my_options[] = array( "name" => "More Info I",
					"desc" => "URL link for more info button.",
					"id" => "review_site_empire-more-info1",
					"std" => "",
					"type" => "text");

$my_options[] = array( "name" => "Text I",
					"desc" => "Enter text for image rotator.",
					"id" => "review_site_empire-video-info1",
					"std" => "",
					"type" => "text");




$my_options[] = array( "name" => "Rotator Image II  (935px x 395px)",
					"desc" => "Upload Image Rotator II",
					"id" => "review_site_empire-rotator-image2",
					"std" => "",
					"type" => "upload");

$my_options[] = array( "name" => "Title for Rotator Image II",
					"desc" => "Enter text for title.",
					"id" => "review_site_empire-more-title2",
					"std" => "",
					"type" => "text");

$my_options[] = array( "name" => "More Info II",
					"desc" => "URL link for more info button.",
					"id" => "review_site_empire-more-info2",
					"std" => "",
					"type" => "text");

$my_options[] = array( "name" => "Text II",
					"desc" => "Enter text for image rotator.",
					"id" => "review_site_empire-video-info2",
					"std" => "",
					"type" => "text");




$my_options[] = array( "name" => "Rotator Image III  (935px x 395px)",
					"desc" => "Upload Image Rotator III",
					"id" => "review_site_empire-rotator-image3",
					"std" => "",
					"type" => "upload");

$my_options[] = array( "name" => "Title for Rotator Image III",
					"desc" => "Enter text for title.",
					"id" => "review_site_empire-more-title3",
					"std" => "",
					"type" => "text");

$my_options[] = array( "name" => "More Info III",
					"desc" => "URL link for more info button.",
					"id" => "review_site_empire-more-info3",
					"std" => "",
					"type" => "text");

$my_options[] = array( "name" => "Text III",
					"desc" => "Enter text for image rotator.",
					"id" => "review_site_empire-video-info3",
					"std" => "",
					"type" => "text");




$my_options[] = array( "name" => "Rotator Image IV  (935px x 395px)",
					"desc" => "Upload Image Rotator IV",
					"id" => "review_site_empire-rotator-image4",
					"std" => "",
					"type" => "upload");

$my_options[] = array( "name" => "Title for Rotator Image IV",
					"desc" => "Enter text for title.",
					"id" => "review_site_empire-more-title4",
					"std" => "",
					"type" => "text");

$my_options[] = array( "name" => "More Info IV",
					"desc" => "URL link for more info button.",
					"id" => "review_site_empire-more-info4",
					"std" => "",
					"type" => "text");

$my_options[] = array( "name" => "Text IV",
					"desc" => "Enter text for image rotator.",
					"id" => "review_site_empire-video-info4",
					"std" => "",
					"type" => "text");



$my_options[] = array( "name" => "Rotator Image V  (935px x 395px)",
					"desc" => "Upload Image Rotator V",
					"id" => "review_site_empire-rotator-image5",
					"std" => "",
					"type" => "upload");

$my_options[] = array( "name" => "Title for Rotator Image V",
					"desc" => "Enter text for title.",
					"id" => "review_site_empire-more-title5",
					"std" => "",
					"type" => "text");

$my_options[] = array( "name" => "More Info V",
					"desc" => "URL link for more info button.",
					"id" => "review_site_empire-more-info5",
					"std" => "",
					"type" => "text");

$my_options[] = array( "name" => "Text V",
					"desc" => "Enter text for image rotator.",
					"id" => "review_site_empire-video-info5",
					"std" => "",
					"type" => "text");*/


/*$my_options[] = array( "name" => "Product Slider",
					"type" => "heading");


$my_options[] = array( "name" => "Title for Product Slider",
					"desc" => "Enter text for title.",
					"id" => "review_site_empire-slider-title",
					"std" => "",
					"type" => "text");

$my_options[] = array( "name" => "URL for Product Slider",
					"desc" => "URL link for product slider.",
					"id" => "review_site_empire-slider-url",
					"std" => "",
					"type" => "text");

$my_options[] = array( "name" => "Text",
					"desc" => "Enter text for Product Slider.",
					"id" => "review_site_empire-slider-info",
					"std" => "",
					"type" => "textarea");

$my_options[] = array( "name" => "Product Image I  (470px x 290px)",
					"desc" => "Upload Product Image I",
					"id" => "review_site_empire-product-image1",
					"std" => "",
					"type" => "upload");

$my_options[] = array( "name" => "Product Image II  (470px x 290px)",
					"desc" => "Upload Product Image II",
					"id" => "review_site_empire-product-image2",
					"std" => "",
					"type" => "upload");

$my_options[] = array( "name" => "Product Image III  (470px x 290px)",
					"desc" => "Upload Product Image III",
					"id" => "review_site_empire-product-image3",
					"std" => "",
					"type" => "upload");

$my_options[] = array( "name" => "Product Image IV  (470px x 290px)",
					"desc" => "Upload Product Image IV",
					"id" => "review_site_empire-product-image4",
					"std" => "",
					"type" => "upload");	*/


/*$my_options[] = array( "name" => "Carousel Slider",
					"type" => "heading");

$my_options[] = array( "name" => "Select a Carousel Slider Category",
					"desc" => "A list of all the categories being used on blog page.",
					"id" => "review_site_empire-carousel",
					"std" => "Select a category:",
					"type" => "select",
					"options" => $of_categories);	*/
$my_options[] = array( "name" => "Featured Content",
					"type" => "heading");


$my_options[] = array( "name" => "Featured Content",
                    "desc" => "",
                    "id" => "featured_content",
                    "std" => "featured_content.php",
                    "type" => "textarea");

$my_options[] = array( "name" => "Display Featured Content?",
					"desc" => "Check to display Featured Content",
					"id" => "check_featured_content",
					"std" => true,
					"type" => "checkbox");


	}
}
?>
