<?php
function clickbank_image_uploader($imageurl,$post_id=0) 
{
	$attach_id = 0;

	if ( !empty($imageurl) ) 
	{
		$imageurl = rawurldecode( stripslashes($imageurl) );
		
		$url_encode 	= explode("/",$imageurl);
		foreach($url_encode as $key=>$value)
		{	if($key>0) { $url_encode[$key]= rawurlencode($value);	}	}
		$url_encode = implode("/",$url_encode);
		
		$imageurl = $url_encode;

		$uploads = wp_upload_dir();
		$filename = wp_unique_filename( $uploads['path'], basename( rawurldecode($imageurl) ), $unique_filename_callback = null );
		$wp_filetype = wp_check_filetype($filename, null );
		$fullpathfilename = $uploads['path'] . "/" . $filename;
			
		try {
			if ( substr_count($wp_filetype['type'], "image") ) 
			{
				$image_string = clickbank_fetch_image($imageurl);
				$fileSaved = file_put_contents($uploads['path'] . "/" . $filename, $image_string);
				if ( $fileSaved ) 
				{
//	echo $uploads['path'] . "/" . $filename;	
					$attachment = array(
						 'post_mime_type' => $wp_filetype['type'],
						 'post_title' => preg_replace('/\.[^.]+$/', '', $filename),
						 'post_content' => '',
						 'post_status' => 'inherit',
						 'guid' => $uploads['url'] . "/" . $filename
					);
					$attach_id = wp_insert_attachment( $attachment, $fullpathfilename, $post_id );
				}
	
				if ( $attach_id ) 
				{
					require_once(ABSPATH . "wp-admin" . '/includes/image.php');
					$attach_data = wp_generate_attachment_metadata( $attach_id, $fullpathfilename );
					wp_update_attachment_metadata( $attach_id,  $attach_data );
				}
			}

		} catch (Exception $e) {
			//$error = '<div id="message" class="error"><p>' . $e->getMessage() . '</p></div>';
		}
	}
		
	return $attach_id;
}

function clickbank_fetch_image($url) 
{
	if ( function_exists("curl_init") ) 
	{
		return clickbank_curl_fetch_image($url);
	} elseif ( ini_get("allow_url_fopen") ) {
		return clickbank_fopen_fetch_image($url);
	}
}

function clickbank_curl_fetch_image($url) 
{
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	$image = curl_exec($ch);
	curl_close($ch);
	return $image;
}

function clickbank_fopen_fetch_image($url) 
{
	$image = file_get_contents($url, false, $context);
	return $image;
}
	

?>