<?php
	$theme_name = 'wpclickstore';
	$theme_url = get_bloginfo('template_directory');
    add_action( 'add_meta_boxes', 'meta_box_clickbank_add' );  
    add_action( 'add_meta_boxes', 'meta_box_clickbank_images_add' );  
	add_action( 'save_post','meta_box_clickbank_images_save');

    function meta_box_clickbank_add()  
    {  
	    add_meta_box( 'meta-box-clickbank', 'ClickBank Product Search', 'meta_box_clickbank', 'post', 'normal', 'high' ); 
    }  
    function meta_box_clickbank_images_add()  
    {  
	    add_meta_box( 'meta-box-clickbank-images', 'ClickBank Featured Images', 'meta_box_clickbank_images', 'post', 'side', 'default' ); 
    }  
	
    function meta_box_clickbank_images_save($post_id)  
    {
		// authentication checks
	 
		// make sure data came from our meta box
		if (!wp_verify_nonce($_POST['clickbank_images_meta_noncename'],__FILE__)) return $post_id;
	 
		// check user permissions
		if ($_POST['post_type'] == 'page') 
		{
			if (!current_user_can('edit_page', $post_id)) return $post_id;
		}
		else 
		{
			if (!current_user_can('edit_post', $post_id)) return $post_id;
		}
	 
		// authentication passed, save data
	 
		$clickbank_images = get_post_meta($post_id, '_clickbank-images', TRUE);	
		$clickbank_featured_image = get_post_meta($post_id, '_clickbank-featured-image', TRUE);	
		
		$new_clickbank_images = $_POST['_clickbank-images'];
		$new_clickbank_featured_image = $_POST['_clickbank-featured-image'];

		if ($clickbank_images)
		{
			if (is_null($new_clickbank_images))
			{
				 delete_post_meta($post_id,'_clickbank-images');
			}else{ 
				update_post_meta($post_id,'_clickbank-images',$new_clickbank_images);
			}
		}
		elseif (!is_null($new_clickbank_images))
		{
			add_post_meta($post_id,'_clickbank-images',$new_clickbank_images,TRUE);
		}

		if ($clickbank_featured_image)
		{
			if (is_null($new_clickbank_featured_image))
			{
				 delete_post_meta($post_id,'_clickbank-featured-image');
			}else{ 
				update_post_meta($post_id,'_clickbank-featured-image',$new_clickbank_featured_image);
				clickbank_featured_image_save($new_clickbank_featured_image,$post_id);
			}
		}
		elseif (!is_null($new_clickbank_featured_image))
		{
			add_post_meta($post_id,'_clickbank-featured-image',$new_clickbank_featured_image,TRUE);
			clickbank_featured_image_save($new_clickbank_featured_image,$post_id);
		}
	 	
		return $post_id;
 
 	}
	function clickbank_featured_image_save($image_url,$post_id)
	{
		if(!empty($image_url) )
		{
			$attachment_id = clickbank_image_uploader($image_url,$post_id);
			if( $attachment_id && $post_id )	{	set_post_thumbnail($post_id, $attachment_id);	}	
		}
		return;
	}

	require_once("clickbank-image-uploader.php");

	function meta_box_clickbank_images()  
	{  
		global $theme_name;
		global $theme_url;
		
		require_once("clickbank-images.php");

		echo '<input type="hidden" name="clickbank_meta_noncename" value="' . wp_create_nonce(__FILE__) . '" />';
	}  

	function meta_box_clickbank()  
	{  
		global $theme_name;
		global $theme_url;
		global $clickbank_id;
		global $clickbank_pass;
		
		$data = get_option(OPTIONS); 

		$clickbank_id = $data['clickbank_id'];
		$clickbank_pass = $data['clickbank_pass'];

		require_once("clickbank-search.php");
		echo '<input type="hidden" name="clickbank_images_meta_noncename" value="' . wp_create_nonce(__FILE__) . '" />';

	}  
	
	add_action('admin_head', 'clickbank_header');

	function clickbank_header() 
	{
		global $theme_name;
		global $theme_url;
		
		$data = get_option(OPTIONS); 
		$clickbank_id = $data['clickbank_id'];
		?>
		<script type="text/javascript" >
			var theme_url 				= "<?php echo $theme_url;?>";
			var theme_clickbank_id 		= "<?php echo $clickbank_id;?>";
			var theme_title_output_id 	= "title"; 
			var theme_body_output_id 	= "content";
			var theme_images_output_id 	= "clickbank-images";
			var theme_url_output_id 	= "_my_meta_visitnow";
		</script>
		<?php
		
	   	wp_register_style($theme_name.'-clickbank-stylesheet', $theme_url.'/clickbank/clickbank-search.css');
	
	   	wp_register_script($theme_name.'-clickbank-script', $theme_url.'/clickbank/clickbank-search.js');

	    wp_enqueue_style($theme_name . '-clickbank-stylesheet');
		wp_enqueue_script($theme_name . '-clickbank-script');
   }

	
?>