<?php

/* MENUS */
include_once('functions-license.php');

/* Adds a box to the main column on the Post and Page edit screens */
function myplugin_add_custom_box() {
   /* add_meta_box(
        'myplugin_sectionid',
        __( 'Post as either a review or a Standard Post', 'myplugin_textdomain' ),
        'myplugin_inner_custom_box',
        'post'
    );*/
}

/* Prints the box content */
function myplugin_inner_custom_box( $post ) {

  // Use nonce for verification
  wp_nonce_field( plugin_basename( __FILE__ ), 'myplugin_noncename' );  
  // The actual fields for data entry
  //var_dump(get_post_meta($post, "review_or_post_field", true));die();
  $checked = (get_post_meta($post->ID, "review_or_post_field", true) == "" or get_post_meta($post->ID, "review_or_post_field", true) == "0")? '0' : '1' ;
  $checked_text = $checked == "1" ? 'checked=checked' : '' ;
  echo '<label for="review_or_post_field">';
       _e("Post as a Review", 'myplugin_textdomain' );
  echo '</label> ';
  echo '<input type="checkbox" id="review_or_post_field" name="review_or_post_field" size="25" '. $checked_text .' />';
}

/* When the post is saved, saves our custom data */
function myplugin_save_postdata( $post_id ) {
  // verify if this is an auto save routine.
  // If it is our form has not been submitted, so we dont want to do anything
  if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE )
      return;

  // verify this came from the our screen and with proper authorization,
  // because save_post can be triggered at other times

  if ( !wp_verify_nonce( $_POST['myplugin_noncename'], plugin_basename( __FILE__ ) ) )
      return;


  // Check permissions
  if ( 'page' == $_POST['post_type'] )
  {
    if ( !current_user_can( 'edit_page', $post_id ) )
        return;
  }
  else
  {
    if ( !current_user_can( 'edit_post', $post_id ) )
        return;
  }

  // OK, we're authenticated: we need to find and save the data
  global $post;
  $post_i = $post->ID;
  $meta_value = (strtolower($_POST['review_or_post_field']) == "1" or strtolower($_POST['review_or_post_field']) == "on" )? '1' : '0';
  update_post_meta($post_id, "review_or_post_field", $meta_value);
}


add_action( 'init', 'and_register_menu' );

/*function and_register_menu() {
	register_nav_menus( array(
		'primary' => __( 'Primary Navigation', 'andre' ),
		'category' => __( 'Category Navigation', 'andre' )
	) );
}*/

function and_register_menu() {
	register_nav_menus( array(
		'primary' => __( 'Primary Navigation', 'andre' )		
	) );
}

 
if (function_exists('register_sidebar'))
{   
	register_sidebar( array(
		'name' => __( 'Primary Widget Area', 'andre' ),
		'id' => 'primary-widget-area',
		'description' => __( 'Right widget area', 'andre' ),
		'before_widget' => '<div id="%1$s" class="widget-container %2$s sidebarall">',
		'after_widget' => '</div>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );	
	
	register_sidebar( array(
		'name' => __( 'Footer 1 Widget Area', 'andre' ),
		'id' => 'footer1-widget-area',
		'description' => __( 'Footer 1 widget area', 'andre' ),
		'before_widget' => '<div id="%1$s" class="widget-container %2$s sidebarall">',
		'after_widget' => '</div>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );
	
	register_sidebar( array(
		'name' => __( 'Footer 2 Widget Area', 'andre' ),
		'id' => 'footer2-widget-area',
		'description' => __( 'Footer 2 widget area', 'andre' ),
		'before_widget' => '<div id="%1$s" class="widget-container %2$s sidebarall">',
		'after_widget' => '</div>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );
	
	register_sidebar( array(
		'name' => __( 'Footer 3 Widget Area', 'andre' ),
		'id' => 'footer3-widget-area',
		'description' => __( 'Footer 3 widget area', 'andre' ),
		'before_widget' => '<div id="%1$s" class="widget-container %2$s sidebarall">',
		'after_widget' => '</div>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );
	
	register_sidebar( array(
		'name' => __( 'Footer 4 Widget Area', 'andre' ),
		'id' => 'footer4-widget-area',
		'description' => __( 'Footer 4 widget area', 'andre' ),
		'before_widget' => '<div id="%1$s" class="widget-container %2$s sidebarall">',
		'after_widget' => '</div>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );				    
}

function box_shortcode( $atts, $content = null ) {
   return '<div class="boxes">'.$content.'</div>';
}
add_shortcode('box', 'box_shortcode');

function my_init_method() {
    if (!is_admin()) {
        wp_deregister_script( 'jquery' );
        wp_register_script( 'jquery', 'http://ajax.googleapis.com/ajax/libs/jquery/1.6/jquery.min.js');
        wp_enqueue_script( 'jquery' );
    }
}    
 
add_action('init', 'my_init_method');


function my_search_form( $form ) {

    $form = '<form role="search" method="get" id="searchform" action="' . home_url( '/' ) . '" >
    <div>
    <input type="text" value="' . get_search_query() . '" name="s" id="s" />
    <input type="submit" id="searchsubmit" value="'. esc_attr__('Go') .'" />
    </div>
    </form>';

    return $form;
}

add_filter( 'get_search_form', 'my_search_form' );


add_shortcode( 'tabgroup', 'jqtools_tab_group' );

function jqtools_tab_group( $atts, $content ){
$GLOBALS['tab_count'] = 0;

do_shortcode( $content );

if( is_array( $GLOBALS['tabs'] ) ){
foreach( $GLOBALS['tabs'] as $tab ){
$tabs[] = '<li><a class="" href="#">'.$tab['title'].'</a></li>';
$panes[] = '<div class="pane"><h3>'.$tab['title'].'</h3>'.$tab['content'].'</div>';
}
$return = "\n".'<!-- the tabs --><ul class="tabs">'.implode( "\n", $tabs ).'</ul>'."\n".'<!-- tab "panes" --><div class="panes">'.implode( "\n", $panes ).'</div>'."\n";
}
return $return;
}

add_shortcode( 'tab', 'jqtools_tab' );
function jqtools_tab( $atts, $content ){
extract(shortcode_atts(array(
'title' => 'Tab %d'
), $atts));

$x = $GLOBALS['tab_count'];
$GLOBALS['tabs'][$x] = array( 'title' => sprintf( $title, $GLOBALS['tab_count'] ), 'content' =>  $content );

$GLOBALS['tab_count']++;
}

add_shortcode( 'accordion', 'jqtools_accordion_group' );
function jqtools_accordion_group( $atts, $content ){
	return '<div id="accordion">'.$content.'</div>';
}

function tj_show_thumb280($width = 280, $height = 136) {
?>
<a href="<?php the_permalink() ?>" rel="bookmark"><img class="thumb" src="<?php bloginfo('template_directory'); ?>/function/timthumb.php?src=<?php tj_get_image(); ?>&amp;h=136&amp;w=280&amp;zc=1" alt="<?php the_title(); ?>" /></a>
<?php
}

function tj_show_thumb200($width = 200, $height = 200) {
?>
<a href="<?php the_permalink() ?>" rel="bookmark"><img class="thumb" src="<?php bloginfo('template_directory'); ?>/function/timthumb.php?src=<?php tj_get_image(); ?>&amp;h=200&amp;w=200&amp;zc=1" alt="<?php the_title(); ?>" /></a>
<?php
}
  
function tj_show_thumb500($width = 504, $height = 200) {
?>
<a href="<?php the_permalink() ?>" rel="bookmark"><img class="thumb" src="<?php bloginfo('template_directory'); ?>/function/timthumb.php?src=<?php tj_get_image(); ?>&amp;h=200&amp;w=504&amp;zc=1" alt="<?php the_title(); ?>" /></a>
<?php
}

function tj_show_thumb140($width = 140, $height = 45) {
?>
<a href="<?php the_permalink() ?>" rel="bookmark"><img class="thumb" src="<?php bloginfo('template_directory'); ?>/function/timthumb.php?src=<?php tj_get_image(); ?>&amp;h=45&amp;w=140&amp;zc=1" alt="<?php the_title(); ?>" /></a>
<?php
}

function tj_show_thumb150($width = 150, $height = 110) {
?>
<a href="<?php the_permalink() ?>" rel="bookmark"><img class="thumb" src="<?php bloginfo('template_directory'); ?>/function/timthumb.php?src=<?php tj_get_image(); ?>&amp;h=110&amp;w=150&amp;zc=1" alt="<?php the_title(); ?>" /></a>
<?php
}

// Get Image Attachments
function tj_get_image($postid=0, $size='full') {
	if ($postid<1) 
	$postid = get_the_ID();
	$thumb = get_post_meta($postid, "thumb", TRUE); // Declare the custom field for the image
	if ($thumb != null or $thumb != '') {
		echo get_image_path($thumb); 
	}
	elseif ($images = get_children(array(
		'post_parent' => $postid,
		'post_type' => 'attachment',
		'numberposts' => '1',
		'post_mime_type' => 'image', )))
		foreach($images as $image) {
			$thumbnail=wp_get_attachment_image_src($image->ID, $size);
			?>
	<?php echo get_image_path($thumbnail[0]); ?>
	<?php }
		else {
		$theme_name = strtolower(get_current_theme());
        echo get_image_path('function/themes/'.$theme_name.'/images/image-pending.gif');
	}
}

function get_image_path($thumbnail='') {
	global $blog_id;
	if (isset($blog_id) && $blog_id > 0) {
		$imagePath = explode('/files/', $thumbnail);
		if (isset($imagePath[1])) {
			$thumbnail = '/blogs.dir/' . $blog_id . '/files/' . $imagePath[1];
		}
	}
	
	return $thumbnail;
}


function textrating($value){
	if($value=='5'){echo "<div class=\"rating-text\">Our Rating : <span class=\"rating-blue\"> Excellent </span></div>";}
	if($value=='4'){echo "<div class=\"rating-text\">Our Rating : <span class=\"rating-blue\">Good</span></div>";}
	if($value=='3'){echo "<div class=\"rating-text\">Our Rating : <span class=\"rating-blue\">Fair</span></div>";}
	if($value=='2'){echo "<div class=\"rating-text\">Our Rating : <span class=\"rating-blue\">Not Bad</span></div>";}
	if($value=='1'){echo "<div class=\"rating-text\">Our Rating : <span class=\"rating-blue\">Bad</span></div>";}				
}

/***************************************************************************************
**********Custom Function to Add extra field to Comments (rating in this case)**********
****************************************************************************************/

function pr_rating_fields($fields)
{
  global $post;

    
    $fields['rating'] = '<p class="comment-form-rating">' . '<label for="rating">' . __( 'Rating' ) . '</label> ' .
      '<input id="rating" name="rating" type="hidden" value="' . esc_attr( $commenter['rating'] ) . '" >
        <input name="star1" type="radio" class="star" value="1" />
		<input name="star1" type="radio" class="star" value="2" />
		<input name="star1" type="radio" class="star" value="3" />
		<input name="star1" type="radio" class="star" value="4" />
		<input name="star1" type="radio" class="star" value="5" /></p>';

    $fields = array( $fields['author'], $fields['email'], $fields['url'],$fields['rating'] );

  return $fields;
}

add_filter( 'comment_form_default_fields', 'pr_rating_fields' );

function pr_add_author_rating($comment_id)
{
  add_comment_meta( $comment_id, 'rating', $_POST['star1'], true );
}

add_action( 'comment_post', 'pr_add_author_rating', 1 );

/*function my_home_category( $query ) {
 if ( $query->is_home() && $query->is_main_query() ) {
 $query->set( 'cat', '4');
 //$query->set( 'cat', '2, 3' );
 }
}
add_action( 'pre_get_posts', 'my_home_category' );*/
function setup_theme_admin_menus() {
    add_submenu_page('options-general.php',
        'Set home page', 'Set home page', 'manage_options',
        'set-home-page', 'theme_front_page_settings');
}
add_action("admin_menu", "setup_theme_admin_menus");
function theme_front_page_settings() {

if(isset($_REQUEST['submit']) &&  $_REQUEST['submit']=='Set Home'){

				$categories = get_categories(); 
				foreach ($categories as $category) {
				if(array_key_exists($category->cat_ID,$_REQUEST['miniCatShow']))
				$value='yes';
				else
				$value='no';
				
				
									$option_name = 'miniSIte_'.$category->cat_ID ;
					$new_value = $value ;
						if ( get_option( $option_name ) !== false ) {
						// The option already exists, so we just update it.
						update_option( $option_name, $new_value );
						} else {
						// The option hasn't been added yet. We'll add it with $autoload set to 'no'.
						$deprecated = null;
						$autoload = 'no';
						add_option( $option_name, $new_value, $deprecated, $autoload );
						}
				}
				$option_name = 'set_home_page' ;
				$new_value = $_REQUEST['set_home_page'] ;
				
				if ( get_option( $option_name ) !== false ) {

				// The option already exists, so we just update it.
				update_option( $option_name, $new_value );

				} else {

				// The option hasn't been added yet. We'll add it with $autoload set to 'no'.
				$deprecated = null;
				$autoload = 'no';
				add_option( $option_name, $new_value, $deprecated, $autoload );
				}
	
	}




$categories = get_categories(); 

$set_home_page = get_option( 'set_home_page' );

      echo "<br><br><br><br><div class='wrap'><strong><label>Select home page post category : </label></strong><form action='' method='post' name='set_home'><select name='set_home_page'>";
				$option .= '<option value="">select posts category</option>';
			foreach ($categories as $category) {
				if($set_home_page==$category->cat_ID)
				$option .= '<option value="'.$category->cat_ID.'" selected="selected">';
				else
				$option .= '<option value="'.$category->cat_ID.'">';
				
				$option .= $category->cat_name;
				$option .= ' ('.$category->category_count.')';
				$option .= '</option>';
				
			};
			echo $option;
			echo"</select>";
			
			echo "<br><br><strong><label>Select  category to show in mini size  : </label></strong><br>";
			foreach ($categories as $category) {
			$Status = get_option( 'miniSIte_'.$category->cat_ID );
			if($Status=='yes')
				$a_option .= '<input type="checkbox" name="miniCatShow['.$category->cat_ID.']" value="yes" checked="checked">'.$category->cat_name.' ('.$category->category_count.')<br>';
				else
				$a_option .= '<input type="checkbox" name="miniCatShow['.$category->cat_ID.']" value="yes">'.$category->cat_name.' ('.$category->category_count.')<br>';
				
			};
			
			echo $a_option;
			
	echo "<p><input type='submit' name='submit' value='Set Home' class='button button-primary'></p></div>";
	
	
}


function mytheme_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class('comment-body'); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
      <div class="comment-author vcard">
         <?php  echo get_avatar($comment,$size='60',$default= get_stylesheet_directory_uri() . '/images/default_avatar.png' ); ?>
    </div>
         <?php printf(__('<cite class="fn">%s</cite> <span class="says">says:</span>'), get_comment_author_link()) ?>
      
      <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Your comment is awaiting moderation.') ?></em>
         <br />
      <?php endif; ?>
 
      <div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link(__('(Edit)'),'  ','') ?></div>
  <?php $rating=get_comment_meta( $comment->comment_ID, 'rating' ); if($rating[0]){  ?>
 		<div class="review_rating-comment stars_<?php echo $rating['0']; ?>"><?php echo $rating['0']; ?> stars</div>
     <?php } comment_text(); ?>
 
      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>
     </div>
<div class="clear"></div><?php //echo $rating['0']; ?>
     </li>
<?php
        }

include_once("clickbank/meta-box.php");